ptf @                               # PEST fills parameters in between @      @
Title sorption of U(VI) on STx-1b
SURFACE_MASTER_SPECIES
  Edg_al  Edg_alOH                   # aluminol edge sites
  Edg_si  Edg_siOH                   # silanol edge sites		
SURFACE_SPECIES		
          Edg_alOH = Edg_alOH
         log_k  0.0
         Edg_alOH  + H+ = Edg_alOH2+
         log_k   12.3 # Zachara and Mckinley, 1993, 
         Edg_alOH = Edg_alO- + H+
         log_k   -13.16 #Zachara and Mckinley, 1993
          Edg_alOH + UO2+2 = Edg_alOUO2+ + H+
         log_k       @k1                            @ # to be optimized by PEST
         Edg_alOH + Na+ = Edg_alONa + H+
         log_k        @k2                           @ # to be optimized by PEST
         Edg_siOH = Edg_siOH  		
         log_k  0.0 
          Edg_siOH  + H+ = Edg_siOH2+
         log_k  -0.95 # # Mckinley et al, 1993
         Edg_siOH = Edg_siO- + H+
         log_k  -6.65 # # Mckinley et al, 1993
         Edg_siOH + UO2+2 = Edg_siOUO2+ + H+
         log_k         @k3                           @  # to be optimized by PEST
         Edg_siOH + UO2OH+ = Edg_siOUO2OH + H+
         log_k         @k4                           @  # to be optimized by PEST
         Edg_siOH + UO2(CO3)3-4  = Edg_siOHUO2(CO3)3-4
         log_k         @k5                           @	 # to be optimized by PEST	 
         Edg_siOH + UO2(OH)3- = Edg_siOHUO2(OH)3-
         log_k         @k6                           @ 	 # to be optimized by PEST	 		
        Edg_siOH + Na+ = Edg_siONa + H+
        log_k          @k7                           @     # to be optimized by PEST        
        Edg_alOH + 2UO2+2 + CO3-2 + 3H2O = Edg_alO(UO2)2CO3(OH)3-2 + 4H+
       log_k           @k8                           @	 # to be optimized by PEST
SURFACE 1 edge sites on STx-1b
Edg_alOH    9.213e-5    83.8    1.66   
Edg_siOH     9.99e-5 						  
Phases; fix_pH; H+ = H+; log_k 0
fix_pe; e- = e- ; log_k 0
KNOBS -step_size    10 -diagonal_scale true  -pe_step_size 5  -iterations   500
Solution 1; units mmol/l; temp 23; pH  3; U 100 ug/l; Na 1; Cl 1
END
SELECTED_OUTPUT; -file case.prn; -reset false; -high_p true
USER_PUNCH
 -start
 10 q_sorb = mol("Edg_alOUO2+") + mol("Edg_siOUO2+") + mol("Edg_siOUO2OH") 
 15 q_sorb = q_sorb +  mol("Edg_siOHUO2(CO3)3-4") + mol("Edg_siOHUO2(OH)3-") + mol("Edg_alO(UO2)2CO3(OH)3-2") 
 20 punch q_sorb / 0.42e-6*100                                      
 -end
use solution 1; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -4.0 NaOH 10;  end
use solution 1; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -4.5 NaOH 10;  end
use solution 1; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -5.0 NaOH 10;  end
use solution 1; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -5.5 NaOH 10;  end
use solution 1; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -6.0 NaOH 10;  end
use solution 1; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -6.5 NaOH 10;  end
use solution 1; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -7.0 NaOH 10; end
use solution 1; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -7.5 NaOH 10; end
use solution 1; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -8.0 NaOH 10; end
use solution 1; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -8.5 NaOH 10; end
use solution 1; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -9.0 NaOH 10;  end
use solution 1; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -9.5 NaOH 10;  end
Solution 2; units mmol/l; temp 23; pH  3; U 100 ug/l0; Na 1; Cl 10
use solution 2; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -4.0 NaOH 10;  end
use solution 2; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -4.5 NaOH 10;  end
use solution 2; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -5.0 NaOH 10;  end
use solution 2; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -5.5 NaOH 10;  end
use solution 2; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -6.0 NaOH 10;  end
use solution 2; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -6.5 NaOH 10;  end
use solution 2; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -7.0 NaOH 10; end
use solution 2; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -7.5 NaOH 10; end
use solution 2; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -8.0 NaOH 10; end
use solution 2; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -8.5 NaOH 10; end
use solution 2; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -9.0 NaOH 10;  end
use solution 2; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -9.5 NaOH 10;  end
Solution 3; units mmol/l; temp 23; pH  3; U 100 ug/l; Na 25; Cl 25
use solution 3; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -4.0 NaOH 10;  end
use solution 3; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -4.5 NaOH 10;  end
use solution 3; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -5.0 NaOH 10;  end
use solution 3; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -5.5 NaOH 10;  end
use solution 3; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -6.0 NaOH 10;  end
use solution 3; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -6.5 NaOH 10;  end
use solution 3; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -7.0 NaOH 10; end
use solution 3; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -7.5 NaOH 10; end
use solution 3; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -8.0 NaOH 10; end
use solution 3; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -8.5 NaOH 10; end
use solution 3; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -9.0 NaOH 10;  end
use solution 3; use surface 1; EQUILIBRIUM_PHASES 1; CO2(g)  -3.5; fix_pH -9.5 NaOH 10; end
